<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.5" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="3"/>
    <Property name="title" type="java.lang.String" value="MorphoLim"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="closeButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="sysButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="aboutButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="32767" attributes="0"/>
              <Component id="previousButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="29" max="-2" attributes="0"/>
              <Component id="nextButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
          <Component id="clusterPanel" alignment="0" max="32767" attributes="0"/>
          <Group type="103" rootIndex="1" groupAlignment="0" attributes="0">
              <Component id="thresholdPanel" alignment="0" max="32767" attributes="0"/>
          </Group>
          <Group type="103" rootIndex="2" groupAlignment="0" attributes="0">
              <Component id="envelopePanel" alignment="1" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="1" attributes="0">
              <Component id="clusterPanel" max="32767" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="nextButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="closeButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="previousButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="aboutButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="sysButton" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
          <Group type="103" rootIndex="1" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <Component id="thresholdPanel" min="-2" max="-2" attributes="0"/>
                  <EmptySpace pref="62" max="32767" attributes="0"/>
              </Group>
          </Group>
          <Group type="103" rootIndex="2" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <Component id="envelopePanel" min="-2" max="-2" attributes="0"/>
                  <EmptySpace pref="76" max="32767" attributes="0"/>
              </Group>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JButton" name="nextButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="Next &gt;&gt;"/>
        <Property name="enabled" type="boolean" value="false"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="nextButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="closeButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="Close"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="closeButtonActionPerformed"/>
      </Events>
    </Component>
    <Container class="javax.swing.JPanel" name="envelopePanel">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="jLabel8" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="radiusEnvSpinner" min="-2" pref="81" max="-2" attributes="0"/>
                      </Group>
                      <Component id="jScrollPane3" alignment="0" pref="467" max="32767" attributes="0"/>
                      <Group type="102" alignment="1" attributes="0">
                          <EmptySpace min="361" pref="361" max="361" attributes="0"/>
                          <Component id="startEnvButton" min="-2" pref="78" max="-2" attributes="0"/>
                      </Group>
                      <Component id="jLabel9" alignment="0" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="18" max="-2" attributes="0"/>
                  <Component id="jLabel9" min="-2" max="-2" attributes="0"/>
                  <EmptySpace type="separate" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel8" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="radiusEnvSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="startEnvButton" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="jScrollPane3" min="-2" pref="121" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="63" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Container class="javax.swing.JScrollPane" name="jScrollPane3">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTextArea" name="logEnvTextArea">
              <Properties>
                <Property name="columns" type="int" value="20"/>
                <Property name="rows" type="int" value="5"/>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JLabel" name="jLabel8">
          <Properties>
            <Property name="text" type="java.lang.String" value="Buffer radius"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="startEnvButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Start"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="startEnvButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JSpinner" name="radiusEnvSpinner">
          <Properties>
            <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
              <SpinnerModel initial="1.0" numberType="java.lang.Double" stepSize="1.0" type="number"/>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel9">
          <Properties>
            <Property name="text" type="java.lang.String" value="Step 3 : envelope generation"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JPanel" name="clusterPanel">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="jScrollPane1" pref="453" max="32767" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Component id="selectFilePanel" alignment="0" pref="476" max="32767" attributes="0"/>
                              <Group type="102" attributes="0">
                                  <Group type="103" groupAlignment="0" attributes="0">
                                      <Component id="jLabel10" min="-2" max="-2" attributes="0"/>
                                      <Group type="102" alignment="0" attributes="0">
                                          <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace max="-2" attributes="0"/>
                                          <Component id="startSpinner" min="-2" pref="69" max="-2" attributes="0"/>
                                          <EmptySpace max="-2" attributes="0"/>
                                          <Component id="jLabel2" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace max="-2" attributes="0"/>
                                          <Component id="coefSpinner" min="-2" pref="73" max="-2" attributes="0"/>
                                      </Group>
                                  </Group>
                                  <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                              </Group>
                          </Group>
                          <EmptySpace max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="jLabel3" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="precisionSpinner" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="32767" attributes="0"/>
                          <Component id="startButton" min="-2" pref="78" max="-2" attributes="0"/>
                          <EmptySpace min="-2" pref="70" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="1" attributes="0">
                          <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                          <Component id="loadButton" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="saveButton" min="-2" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                      </Group>
                  </Group>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace min="-2" pref="12" max="-2" attributes="0"/>
                  <Component id="jLabel10" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Component id="selectFilePanel" min="-2" max="-2" attributes="0"/>
                  <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel1" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="startSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel2" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="coefSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="precisionSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel3" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="startButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="separate" min="-2" max="-2" attributes="0"/>
                  <Component id="jScrollPane1" pref="133" max="32767" attributes="0"/>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="saveButton" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="loadButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JSpinner" name="coefSpinner">
          <Properties>
            <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
              <SpinnerModel initial="1.2" minimum="1.0" numberType="java.lang.Double" stepSize="0.1" type="number"/>
            </Property>
          </Properties>
        </Component>
        <Container class="javax.swing.JScrollPane" name="jScrollPane1">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTextArea" name="logTextArea">
              <Properties>
                <Property name="columns" type="int" value="20"/>
                <Property name="rows" type="int" value="5"/>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JLabel" name="jLabel1">
          <Properties>
            <Property name="text" type="java.lang.String" value="Start radius"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JSpinner" name="precisionSpinner">
          <Properties>
            <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
              <SpinnerModel initial="8" maximum="20" minimum="2" numberType="java.lang.Integer" stepSize="1" type="number"/>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JSpinner" name="startSpinner">
          <Properties>
            <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
              <SpinnerModel initial="1.0" minimum="0.0" numberType="java.lang.Double" stepSize="1.0" type="number"/>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="startButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Start"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="startButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="org.thema.common.swing.SelectFilePanel" name="selectFilePanel">
          <Properties>
            <Property name="description" type="java.lang.String" value="Layer"/>
            <Property name="fileDesc" type="java.lang.String" value="Vector layer"/>
            <Property name="fileExts" type="java.lang.String" value=".gpkg|.shp"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel3">
          <Properties>
            <Property name="text" type="java.lang.String" value="Buffer precision"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel2">
          <Properties>
            <Property name="text" type="java.lang.String" value="Coef"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel10">
          <Properties>
            <Property name="text" type="java.lang.String" value="Step 1 : cluster count"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="saveButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Save"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="saveButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="loadButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Load"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="loadButtonActionPerformed"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JPanel" name="thresholdPanel">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="jLabel5" min="-2" max="-2" attributes="0"/>
                          <EmptySpace min="-2" max="-2" attributes="0"/>
                          <Component id="degreComboBox" max="32767" attributes="0"/>
                          <EmptySpace min="-2" max="-2" attributes="0"/>
                          <Component id="viewFitButton" min="-2" max="-2" attributes="0"/>
                          <EmptySpace min="101" pref="101" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <Group type="103" groupAlignment="1" attributes="0">
                              <Component id="jLabel7" min="-2" max="-2" attributes="0"/>
                              <Component id="jLabel6" alignment="1" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace min="-2" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Component id="maxSpinner" max="32767" attributes="1"/>
                              <Component id="minSpinner" alignment="0" pref="74" max="32767" attributes="1"/>
                          </Group>
                          <EmptySpace min="-2" max="-2" attributes="0"/>
                          <Component id="updateButton" min="-2" max="-2" attributes="0"/>
                          <EmptySpace min="-2" max="-2" attributes="0"/>
                          <Component id="jScrollPane2" max="32767" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="jLabel4" min="-2" max="-2" attributes="0"/>
                          <EmptySpace min="-2" max="-2" attributes="0"/>
                          <Component id="degreSpinner" max="32767" attributes="0"/>
                          <EmptySpace min="-2" max="-2" attributes="0"/>
                          <Component id="viewBICButton" min="-2" max="-2" attributes="0"/>
                          <EmptySpace min="123" pref="123" max="-2" attributes="0"/>
                      </Group>
                      <Component id="jLabel11" alignment="0" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="-2" pref="47" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="jLabel11" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="24" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel4" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="degreSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="viewBICButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="-2" pref="39" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel5" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="degreComboBox" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="viewFitButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" attributes="0">
                          <EmptySpace min="-2" pref="55" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="jLabel6" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="minSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="maxSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="jLabel7" alignment="3" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace pref="53" max="32767" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="1" attributes="0">
                          <EmptySpace max="32767" attributes="0"/>
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Component id="jScrollPane2" alignment="0" min="-2" pref="64" max="-2" attributes="0"/>
                              <Component id="updateButton" alignment="0" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace min="-2" pref="49" max="-2" attributes="0"/>
                      </Group>
                  </Group>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JSpinner" name="degreSpinner">
          <Properties>
            <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
              <SpinnerModel initial="12" minimum="1" numberType="java.lang.Integer" stepSize="1" type="number"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="stateChanged" listener="javax.swing.event.ChangeListener" parameters="javax.swing.event.ChangeEvent" handler="degreSpinnerStateChanged"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel4">
          <Properties>
            <Property name="text" type="java.lang.String" value="Max polynomial degree"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="viewBICButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="View BIC"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="viewBICButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JComboBox" name="degreComboBox">
          <Properties>
            <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
              <StringArray count="0"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="degreComboBoxActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel5">
          <Properties>
            <Property name="text" type="java.lang.String" value="Select polynomial degree"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="viewFitButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="View fit"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="viewFitButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel6">
          <Properties>
            <Property name="text" type="java.lang.String" value="Margin : min"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JSpinner" name="minSpinner">
          <Properties>
            <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
              <SpinnerModel initial="1" minimum="1" numberType="java.lang.Integer" stepSize="1" type="number"/>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JSpinner" name="maxSpinner">
          <Properties>
            <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
              <SpinnerModel initial="1000" minimum="2" numberType="java.lang.Integer" stepSize="1" type="number"/>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel7">
          <Properties>
            <Property name="text" type="java.lang.String" value="max"/>
          </Properties>
        </Component>
        <Container class="javax.swing.JScrollPane" name="jScrollPane2">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTextArea" name="infoTextArea">
              <Properties>
                <Property name="editable" type="boolean" value="false"/>
                <Property name="columns" type="int" value="15"/>
                <Property name="rows" type="int" value="2"/>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JButton" name="updateButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Update"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="updateButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel11">
          <Properties>
            <Property name="text" type="java.lang.String" value="Step 2 : threshold"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JButton" name="previousButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="&lt;&lt; Previous"/>
        <Property name="enabled" type="boolean" value="false"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="previousButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="aboutButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="About"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="aboutButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="sysButton">
      <Properties>
        <Property name="text" type="java.lang.String" value="System"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="sysButtonActionPerformed"/>
      </Events>
    </Component>
  </SubComponents>
</Form>
